TAU_PROFILER_GET_COU(3)

Name
TAU_PROFILER_GET_COUNTER_INFO - Returns information about all the timers created.

Synopsis

C/C++:

TAU_PROFILER_GET_COUNTER_INFO(const char * counters, int &num_counters);

description

TAU_PROFILER_GET_COUNTER_INFO Gets the number of counters created and an array of the counters containing information about the counters.

example

>C/C++:

    void *ptr;
    TAU_PROFILER_CREATE(ptr, "foo","", TAU_USER);
    TAU_PROFILER_START(ptr);
    foo(2);
    TAU_PROFILER_STOP(ptr);
    const char **counters;
    int numcounters;
    TAU_PROFILER_GET_COUNTER_INFO(&counters, &numcounters);
    printf("numcounters = %d\n", numcounters);
    for (j = 0; j < numcounters ; j++)
    {
    	printf(">>>");
    	printf("counter [%d] = %s\n", j, counters[j]);
    }

See Also

TAU_PROFILER_CREATE TAU_PROFILER_START TAU_PROFILER_STOP TAU_PROFILER_GET_CALLS TAU_PROFILER_GET_CHILD_CALLS TAU_PROFILER_GET_INCLUSIVE_VALUES TAU_PROFILER_GET_ExCLUSIVE_VALUES